<?php
// (c) Copyright by authors of the Tiki Wiki CMS Groupware Project
//
// All Rights Reserved. See copyright.txt for details and a complete list of authors.
// Licensed under the GNU LESSER GENERAL PUBLIC LICENSE. See license.txt for details.
// $Id: Generator.php 66106 2018-04-19 18:12:49Z luciash $

namespace Tiki\Wiki\SlugManager;

interface Generator
{
	function getName();
	function getLabel();
	function generate($pageName, $suffix = null);
	function degenerate($slug);
}
